From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 8 May 2012<P>

HaremGirl, about <a href="/blend/wv.cgi?id=2012.05.07.23.50.31504">The Kissing Bandit</a>:<BR>
<BR>
I love it!<BR>
I wonder if those "other boys" know who they are;)
<HR>
From: <a href="/blend/av.cgi?id=2093">HaremGirl</a><BR>
Date: 8 May 2012<P>

 - Thanks Just L - I had a lot of fun<BR>
writing abouty this one - "Kissing".<BR>
It took me a long time to figure out<BR>
why boys would never call me back<BR>
after a date.  LOL.   But the whole<BR>
poem was inspired by BK who suggested<BR>
we have a kissing poem contest.<BR>
Sounds Fun to me.<BR>
<BR>
Thanks Again. <BR>
~Harem~<BR>
<BR>
.
<HR>